> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbrix.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate API key

> Test endpoint to validate API key authentication and scopes. Use X-API-Key header.



## OpenAPI

````yaml https://api.timbrix.mx/api/openapi.json post /api-keys/validate
openapi: 3.0.0
info:
  title: Timbrix API
  description: >-
    API de facturación electrónica CFDI 4.0 para México, con servidor OAuth2
    para gestionar organizaciones, miembros y webhooks. Compatible con agentes
    de IA — ver la extensión `x-ai-agent-friendly` en la raíz de esta spec.


    REST API with OAuth2 server for managing organizations, members, and
    webhooks.
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: organizations
    description: Organization management endpoints
  - name: oauth
    description: OAuth2 authentication and authorization
  - name: webhooks
    description: Webhook configuration and delivery
  - name: users
    description: User information endpoints
  - name: api-keys
    description: API Keys management and validation
paths:
  /api-keys/validate:
    post:
      tags:
        - api-keys
      summary: Validate API key
      description: >-
        Test endpoint to validate API key authentication and scopes. Use
        X-API-Key header.
      operationId: ApiKeysController_validate
      parameters: []
      responses:
        '200':
          description: API key is valid and active
        '401':
          description: Invalid or expired API key
        '403':
          description: API key does not have required scopes
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API Key for authentication (format: sk_...)'

````